Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163441 - kscd CDDB lookup prompts 20+ times to accept/cancel before it will play
Summary: kscd CDDB lookup prompts 20+ times to accept/cancel before it will play
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdemultimedia
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-16 19:34 UTC by Dave Knight
Modified: 2008-02-18 22:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-18 22:53:40 UTC


Attachments (Terms of Use)

Description Dave Knight 2005-07-16 19:34:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am using KsCD under gnome because the gnome cdplayer doesn't work (previsouly reported bug #161167 suggests using KsCD as a temporary solution).

KsCD plays CDs fine, but seems to prompt many, many, many times for accepting or
canceling the CDDB lookup, regardless of whether CDDB finds the CD or not, before it will play anything.

For example, after inserting a legit copy of the Alison Kraus and Union Station "Lonely Runs Both Ways" cd, KsCD puts up a prompt window listing the album title several times (3?) and, when I click accept for any of the listings, it immediately puts up the same prompt window again, many times.  If I click cancel, it does the same thing.  After inserting a privately-label CD, the CDDB lookup fails to find anything, but puts up the prompt window anyway, with several choices of "Unknown Artist" and, otherwise, behaves the same as described above for the case where CDDB finds a listing.

Version-Release number of selected component (if applicable):
kdemultimedia-3.4.0-2

How reproducible:
Always

Steps to Reproduce:
1. See "For example", in description section.
2.
3.
  

Actual Results:  ditto

Expected Results:  I expected it to accept my choice the 1st time, regardless of whether I clicked on accept or cancel.

Additional info:

Comment 1 Ngo Than 2005-07-18 15:11:03 UTC
There's an KDE-3.4.1 update available for FC4. Could you please update to this
version and try to see if it's fixed in this release. Thanks

Comment 2 Dave Knight 2005-07-18 17:38:33 UTC
Yes, the update does fix this.  Neglected to install RHN Update icon , hence was
upaware of any available updates.  Sorry...

I have updated everything (about 550MB of rpms) and installed the icon so this
should not happen again.

Thanks!

Comment 3 Dave Knight 2005-07-18 17:39:32 UTC
Now, if the gnome cdplayer could get fixed, that would be even better ;-)

Comment 4 Dave Knight 2005-07-18 17:47:21 UTC
OOPS!  Ejected the CD and reinserted - problem i sback, but now only seems to
iterate 5 or 6 times before it stops putting up tht e CDDB accept/cancel dialog box.

Comment 5 Ngo Than 2005-07-18 18:18:21 UTC
Could you please try with a new user. Does the problem still exist? Thanks

Comment 6 Dave Knight 2005-07-19 14:30:10 UTC
Based on some additional tests, the problem seems to be confined to CDs for
which a CDDB lookup finds multiple hits.  In my initial testing, I used one CD
that yielded three hits:

  - Alison Krauss and Union Station, Lonely Run Both Ways, Bluegrass
  - Alison Krauss and Union Station, Lonely Run Both Ways, Country
  - Krauss, Alison and Union Station, Lonely Run Both Ways, Bluegrass

which initiated the Select dialog(s), thus prompting my bug report.   

Further testing suggests that, regardless of user, a running instance of KsCD
seems to increment the number of Select dialog prompts required for a particular
CD with multiple CDDB hits every time it is reinserted into the CD drive.

Termination of kscd seems to reset that "counter".

Other CDs, which yield zero or one CDDB lookup hit, do not put up a Select
dialog (as one would expect) and otherwise work as expected.

I have not seen Select dialog prompt for an "Unknown Artist" CD since my
original tests. 

Comment 7 Christian Iseli 2007-01-20 00:42:03 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 8 petrosyan 2008-02-18 22:53:40 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.